import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaTargetStatus } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaTargetStatusService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readByKey(key: string): Observable<MetaTargetStatus> {
    return this.rpcService.call<MetaTargetStatus>('MetaTargetStatusService.readByKey', key);
  }

  public readAll(): Observable<MetaTargetStatus[]> {
    return this.rpcService.call<MetaTargetStatus[]>('MetaTargetStatusService.readAll');
  }
}
